local _, ns = ...
local SyLevel = ns.SyLevel

local argcheck = SyLevel.argcheck
local colorTable = ns.colorTable
local colorFunc

local Font = "Interface\\AddOns\\SyLevel\\Font\\Accidental Presidency.ttf"
local fontSize = 14
local offsetx = -1
local offsety = 3

local createText = function(self, point)
	local tc = self.SyLevelText
	if(not tc) then
		if(not self:IsObjectType'Frame') then
			tc = self:GetParent():CreateFontString(nil,"OVERLAY")
		else
			tc = self:CreateFontString(nil,"OVERLAY")
		end
		
		tc:SetFont(Font,fontSize,"OUTLINE")
		tc:SetText("TEST")
		tc:SetTextColor(1,1,1,1)
		tc:SetPoint("TOPLEFT",self,"TOPLEFT",offsetx,offsety)
		
		self.SyLevelText = tc
	end

	return tc
end

local textDisplay = function(frame, ilevel)
	if ilevel then
		local tc = createText(frame)
		tc:SetText(ilevel)
		colorFunc = SyLevel:GetColorFunc()
		tc:SetTextColor(colorFunc(ilevel))
		tc:Show()
		--print(frame:GetName().." "..ilevel)
	elseif (frame.SyLevelText) then
		frame.SyLevelText:Hide()
	end
end

SyLevel:RegisterDisplay('Text', textDisplay)
